## ksystemlog 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "6.8.0")
set (KF_MIN_VERSION "6.11.0")

find_package (ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

add_definitions(-DTRANSLATION_DOMAIN="ksystemlog")

include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})




ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KSYSTEMLOG
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/ksystemlog_version.h")

find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Concurrent
    Core
    Widgets
    Test
    PrintSupport
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    XmlGui
    CoreAddons
    WidgetsAddons
    ItemViews
    KIO
    Config
    Archive
    I18n
    Completion
    TextWidgets
    Crash
)
find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(Journald)
if(JOURNALD_FOUND)
    find_package(Qt6Network ${QT_MIN_VERSION} CONFIG REQUIRED)
    add_definitions(-DHAVE_JOURNALD)
endif()

find_package(Audit)
if(AUDIT_FOUND)
    add_definitions(-DHAVE_AUDIT)
endif()

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckTypeSize)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

# Help Eclipse to parse errors more efficiently
if(CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fmessage-length=0")
endif(CMAKE_COMPILER_IS_GNUCC)
if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fmessage-length=0")
endif(CMAKE_COMPILER_IS_GNUCXX)


add_custom_target(
    pkg
    COMMAND ./build-package.sh
)

##
# To specify a different install prefix, use :
# cmake -D CMAKE_INSTALL_PREFIX=build .
#
# To help Eclipse discover include paths, use :
# cmake -D CMAKE_VERBOSE_MAKEFILE=true .
##


########### Subfolders ##########
ecm_set_disabled_deprecation_versions(QT 6.9
    KF 6.13.0
)


add_subdirectory(src)

add_subdirectory(autotests)

find_package(KF6I18n CONFIG REQUIRED)
if (KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ki18n_install(po)
ecm_qt_install_logging_categories(EXPORT KSYSTEMLOG FILE ksystemlog.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/lib/CMakeLists.txt ===

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}/../config
)
add_library(ksystemlog_lib STATIC ${ksystemlog_lib_sources})
target_sources(ksystemlog_lib PRIVATE
    analyzer.cpp
    fileAnalyzer.cpp
    logModeFactory.cpp
    logModeConfiguration.cpp
    logModeConfigurationWidget.cpp
    logModeItemBuilder.cpp
    logManager.cpp
    view.cpp
    globals.cpp
    logMode.cpp
    logLevel.cpp
    logFile.cpp
    logFileReader.cpp
    localLogFileReader.cpp
    processOutputLogFileReader.cpp
    kioLogFileReader.cpp
    logLine.cpp
    logViewModel.cpp
    logViewColumn.cpp
    logViewColumns.cpp
    logViewWidgetItem.cpp
    logViewWidget.cpp
    logViewExport.cpp
    logViewFilterWidget.cpp
    logViewSearchWidget.cpp
    loadingBar.cpp
    logModeAction.cpp
    simpleAction.cpp
    multipleActions.cpp
    levelPrintPage.cpp

    analyzer.h
    fileAnalyzer.h
    logModeFactory.h
    logModeConfiguration.h
    logModeConfigurationWidget.h
    logModeItemBuilder.h
    logManager.h
    view.h
    globals.h
    logMode.h
    logLevel.h
    logFile.h
    logFileReader.h
    localLogFileReader.h
    processOutputLogFileReader.h
    kioLogFileReader.h
    logLine.h
    logViewModel.h
    logViewColumn.h
    logViewColumns.h
    logViewWidgetItem.h
    logViewWidget.h
    logViewExport.h
    logViewFilterWidget.h
    logViewSearchWidget.h
    loadingBar.h
    logModeAction.h
    simpleAction.h
    multipleActions.h
    levelPrintPage.h
)
ecm_qt_declare_logging_category(ksystemlog_lib HEADER ksystemlog_debug.h IDENTIFIER KSYSTEMLOG CATEGORY_NAME log_ksystemlog DESCRIPTION "ksystemlog" EXPORT KSYSTEMLOG)

ki18n_wrap_ui(ksystemlog_lib logViewSearchWidgetBase.ui)



add_dependencies(
    ksystemlog_lib
    ksystemlog_config
)

target_link_libraries(ksystemlog_lib
    ksystemlog_config
    Qt6::Widgets
    Qt6::PrintSupport
    KF6::I18n
    KF6::Archive
    KF6::WidgetsAddons
    KF6::ItemViews
    KF6::KIOCore
    KF6::Completion
    KF6::ConfigWidgets
)

=== src/modes/authentication/CMakeLists.txt ===
add_library(ksystemlog_authentication STATIC)

target_sources(ksystemlog_authentication PRIVATE
	authenticationConfigurationWidget.cpp
	authenticationConfiguration.cpp
	authenticationAnalyzer.cpp
	authenticationLogMode.cpp
	authenticationFactory.cpp

        authenticationConfigurationWidget.h
        authenticationConfiguration.h
        authenticationAnalyzer.h
        authenticationLogMode.h
        authenticationFactory.h
    )


add_dependencies(
	ksystemlog_authentication
	ksystemlog_base_mode 
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_authentication
	
	ksystemlog_lib
	ksystemlog_base_mode 
	ksystemlog_config

        KF6::KIOWidgets
)

=== src/modes/journald/CMakeLists.txt ===
add_library(ksystemlog_journald STATIC)

target_sources(ksystemlog_journald PRIVATE
    journaldAddressDialog.cpp
    journaldAnalyzer.cpp
    journaldConfiguration.cpp
    journaldConfigurationWidget.cpp
    journaldFactory.cpp
    journaldItemBuilder.cpp
    journaldLocalAnalyzer.cpp
    journaldLogMode.cpp
    journaldNetworkAnalyzer.cpp
    journaldTypes.cpp

    journaldAddressDialog.h
    journaldAnalyzer.h
    journaldConfiguration.h
    journaldConfigurationWidget.h
    journaldFactory.h
    journaldItemBuilder.h
    journaldLocalAnalyzer.h
    journaldLogMode.h
    journaldNetworkAnalyzer.h
    journaldTypes.h
)

ki18n_wrap_ui(ksystemlog_journald journaldAddressDialog.ui journaldConfigurationWidget.ui )


add_dependencies(
    ksystemlog_journald

    ksystemlog_base_mode
    ksystemlog_lib
)

target_link_libraries(
    ksystemlog_journald

    ksystemlog_lib
    ksystemlog_base_mode
    ksystemlog_config
    ${JOURNALD_LIBRARIES}
    Qt::Concurrent
    Qt::Network
)

=== debian/changelog ===
ksystemlog (4:25.08.2-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 01:32:20 +0000

ksystemlog (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:38:09 +0000

## ksystemlog 25.08.2+p24.04+vstable+git20251015.1223

=== debian/changelog ===
ksystemlog (4:25.08.2+p24.04+vstable+git20251015.1223-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:23:13 +0000

## ksystemlog 25.08.2+p24.04+vstable+git20251019.0241

=== debian/changelog ===
ksystemlog (4:25.08.2+p24.04+vstable+git20251019.0241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:41:42 +0000

=== debian/control ===
Source: ksystemlog
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemviews-dev,
               kf6-ktextwidgets-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kxmlgui-dev,
               libsystemd-dev [linux-any],
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/ksystemlog.git
Vcs-Browser: https://invent.kde.org/neon/kde/ksystemlog
Maintainer: Neon CI <neon@kde.org>

Package: ksystemlog
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: system log viewer
 KSystemLog show all logs of your system, grouped by General (Default system
 log, Authentication, Kernel, X.org...), and optional Services (Apache, Cups,
 etc, ...). It includes many features to read nicely your log files:
  * Colorize log lines depending on their severities
  * Tabbed view to allow displaying several logs at the same time
  * Auto display new lines logged
  * Detailed information for each log lines
 .
 This package is part of the KDE administration module.

## ksystemlog 25.08.2+p24.04+vstable+git20251031.0909

=== debian/changelog ===
ksystemlog (4:25.08.2+p24.04+vstable+git20251031.0909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:09:32 +0000

## ksystemlog 25.08.2+p24.04+vunstable+git20251020.1150

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksystemlog (4:25.08.2+p24.04+vunstable+git20251020.1150-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:50:59 +0000

## ksystemlog 25.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== src/modes/apache/CMakeLists.txt ===
add_library(ksystemlog_apache STATIC ${ksystemlog_apache_sources})

target_sources(ksystemlog_apache PRIVATE
	apacheConfiguration.cpp
	apacheConfigurationWidget.cpp
	apacheAnalyzer.cpp
	apacheItemBuilder.cpp
	apacheAccessAnalyzer.cpp
	apacheAccessItemBuilder.cpp
	apacheFactory.cpp
	apacheLogMode.cpp
	apacheAccessLogMode.cpp

        apacheConfiguration.h
        apacheConfigurationWidget.h
        apacheAnalyzer.h
        apacheItemBuilder.h
        apacheAccessAnalyzer.h
        apacheAccessItemBuilder.h
        apacheFactory.h
        apacheLogMode.h
        apacheAccessLogMode.h
    )


add_dependencies(
	ksystemlog_apache
	 
	ksystemlog_base_mode
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_apache
	
	ksystemlog_lib
	ksystemlog_base_mode
	ksystemlog_config
)

=== src/modes/kernel/CMakeLists.txt ===
add_library(ksystemlog_kernel STATIC)
target_sources(ksystemlog_kernel PRIVATE
	kernelFactory.cpp
	kernelAnalyzer.cpp
	kernelLogMode.cpp
	kernelItemBuilder.cpp

        kernelFactory.h
        kernelAnalyzer.h
        kernelLogMode.h
        kernelItemBuilder.h
    )


add_dependencies(
	ksystemlog_kernel 
	ksystemlog_base_mode
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_kernel
	
	ksystemlog_lib
	ksystemlog_base_mode
	ksystemlog_config
)

=== src/modes/open/CMakeLists.txt ===
add_library(ksystemlog_open STATIC)
target_sources(ksystemlog_open PRIVATE
	openAnalyzer.cpp
	openFactory.cpp
	openLogMode.cpp

        openAnalyzer.h
        openFactory.h
        openLogMode.h
    )



add_dependencies(
	ksystemlog_open 
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_open
	
	ksystemlog_lib
	ksystemlog_config
	ksystemlog_base_mode
)

=== src/modes/postfix/CMakeLists.txt ===
add_library(ksystemlog_postfix STATIC)
target_sources(ksystemlog_postfix PRIVATE
	postfixFactory.cpp
	postfixConfigurationWidget.cpp
	postfixConfiguration.cpp
	postfixAnalyzer.cpp
	postfixLogMode.cpp

        postfixFactory.h
        postfixConfigurationWidget.h
        postfixConfiguration.h
        postfixAnalyzer.h
        postfixLogMode.h
    )


add_dependencies(
	ksystemlog_postfix
	
	ksystemlog_base_mode
	ksystemlog_lib
)

target_link_libraries(
	ksystemlog_postfix
	
	ksystemlog_lib
	ksystemlog_base_mode
	ksystemlog_config
)

=== debian/changelog ===
ksystemlog (4:25.08.3-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 18:30:06 +0000

ksystemlog (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:43:20 +1000

## ksystemlog 25.08.3+p24.04+vunstable+git20251204.0556

=== debian/changelog ===
ksystemlog (4:25.08.3+p24.04+vunstable+git20251204.0556-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 05:56:51 +0000

## ksystemlog 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksystemlog (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:55:38 +0000

ksystemlog (4:25.08.3-0ubuntu2) resolute; urgency=medium

  * Start ksystemlog from the desktop file with pkexec. (LP: #2130763)

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Nov 2025 15:45:35 +0000

ksystemlog (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:18:05 +0000

ksystemlog (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:53:25 +0100

ksystemlog (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:57:11 +0100

ksystemlog (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:28:20 +0100

## ksystemlog 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksystemlog (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:12:53 +0000

## ksystemlog 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksystemlog (4:25.12.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 15:32:30 +0000

ksystemlog (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:47 +1000

## ksystemlog 25.12.0+p24.04+vstable+git20251208.2026

=== debian/changelog ===
ksystemlog (4:25.12.0+p24.04+vstable+git20251208.2026-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:26:09 +0000

## ksystemlog 25.12.0+p24.04+vstable+git20251215.0333

=== debian/changelog ===
ksystemlog (4:25.12.0+p24.04+vstable+git20251215.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 15 Dec 2025 03:33:33 +0000

## ksystemlog 25.12.0+p24.04+vstable+git20251218.0211

=== debian/changelog ===
ksystemlog (4:25.12.0+p24.04+vstable+git20251218.0211-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 02:11:46 +0000

## ksystemlog 25.12.0+p24.04+vstable+git20260105.0913

=== debian/changelog ===
ksystemlog (4:25.12.0+p24.04+vstable+git20260105.0913-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:13:18 +0000

## ksystemlog 25.12.0+p24.04+vunstable+git20260104.0115

=== debian/changelog ===
ksystemlog (4:25.12.0+p24.04+vunstable+git20260104.0115-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 01:15:17 +0000

## ksystemlog 25.12.1

=== debian/changelog ===
ksystemlog (4:25.12.1-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 20:29:05 +0000

ksystemlog (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:14 +1000

## ksystemlog 25.12.1+p24.04+vstable+git20260106.2342

=== debian/changelog ===
ksystemlog (4:25.12.1+p24.04+vstable+git20260106.2342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:42:33 +0000

## ksystemlog 25.12.1+p24.04+vstable+git20260129.0100

=== debian/changelog ===
ksystemlog (4:25.12.1+p24.04+vstable+git20260129.0100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:00:22 +0000

## ksystemlog 25.12.1+p24.04+vstable+git20260131.0326

=== debian/changelog ===
ksystemlog (4:25.12.1+p24.04+vstable+git20260131.0326-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:26:40 +0000

## ksystemlog 25.12.1+p24.04+vunstable+git20260106.2342

=== debian/changelog ===
ksystemlog (4:25.12.1+p24.04+vunstable+git20260106.2342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 23:43:02 +0000

## ksystemlog 25.12.1+p24.04+vunstable+git20260129.0424

=== debian/changelog ===
ksystemlog (4:25.12.1+p24.04+vunstable+git20260129.0424-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 04:24:23 +0000

## ksystemlog 25.12.1+p24.04+vunstable+git20260131.0043

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksystemlog (4:25.12.1+p24.04+vunstable+git20260131.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 00:43:21 +0000

## ksystemlog 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSystemLog VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
ksystemlog (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:28:46 +0000

ksystemlog (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:27:48 +0000

ksystemlog (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:13:37 +0000

ksystemlog (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:31:40 +0000
